net.sf.okapi.lib.segmentation

## Class ICURegex

- java.lang.Object
- - net.sf.okapi.lib.segmentation.ICURegex

-     public class ICURegex
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ICURegex()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getBoundaries()`
    `static boolean` | `isICURule(java.lang.String rule)`
    `java.lang.String` | `processRule(java.lang.String rule)`
    `void` | `processText(java.lang.String codedText, java.util.List<net.sf.okapi.lib.segmentation.CompiledRule> compRules)`
    `void` | `reset()`
    `void` | `setHasICURules(boolean hasICURules)`
    `protected void` | `setLanguage(LocaleId language)`
    `boolean` | `verifyPos(int pos, net.sf.okapi.lib.segmentation.CompiledRule rule, java.util.regex.Matcher matcher, java.util.List<java.lang.Integer> boundaries)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICURegex

          public ICURegex()

  - ### Method Detail

    - #### reset

          public void reset()

    - #### setHasICURules

          public void setHasICURules(boolean hasICURules)

    - #### isICURule

          public static boolean isICURule(java.lang.String rule)

    - #### setLanguage

          protected void setLanguage(LocaleId language)

    - #### processRule

          public java.lang.String processRule(java.lang.String rule)

    - #### processText

          public void processText(java.lang.String codedText,
                         java.util.List<net.sf.okapi.lib.segmentation.CompiledRule> compRules)

    - #### verifyPos

          public boolean verifyPos(int pos,
                          net.sf.okapi.lib.segmentation.CompiledRule rule,
                          java.util.regex.Matcher matcher,
                          java.util.List<java.lang.Integer> boundaries)

    - #### getBoundaries

          public java.util.List<java.lang.Integer> getBoundaries()